8 2

[alpine-aports] [PATCH 0/5] testing/zathura: move from unmaintained, update

Jean-Louis Fuchs
Details
Message ID
<20170129155731.13183-1-ganwell@fangorn.ch>
Sender timestamp
1485705446
DKIM signature
missing
Download raw message
Move zathura, its essential plugins (pdf and ps) and their dependencies to
testing. Each package is also updated to the latest version and me as
maintainer.

[PATCH 1/5] testing/girara: move from unmaintained, update
[PATCH 2/5] testing/zathura: move from unmaintained, update
[PATCH 3/5] testing/zathura-pdf-poppler: move from unmaintained,
[PATCH 4/5] testing/libspectre: move from unmaintained, update
[PATCH 5/5] testing/zathura-ps: move from unmaintained, update


---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

[alpine-aports] [PATCH 1/5] testing/girara: move from unmaintained, update

Jean-Louis Fuchs
Details
Message ID
<20170129155731.13183-2-ganwell@fangorn.ch>
In-Reply-To
<20170129155731.13183-1-ganwell@fangorn.ch> (view parent)
Sender timestamp
1485705447
DKIM signature
missing
Download raw message
Patch: +38 -31
---
 testing/girara/APKBUILD      | 38 ++++++++++++++++++++++++++++++++++++++
 unmaintained/girara/APKBUILD | 31 -------------------------------
 2 files changed, 38 insertions(+), 31 deletions(-)
 create mode 100644 testing/girara/APKBUILD
 delete mode 100644 unmaintained/girara/APKBUILD

diff --git a/testing/girara/APKBUILD b/testing/girara/APKBUILD
new file mode 100644
index 0000000000..ceb0596d53
--- /dev/null
+++ b/testing/girara/APKBUILD
@@ -0,0 +1,38 @@
+# Contributor: Sören Tempel <soeren+alpine@soeren-tempel.net>
+# Contributor: Andrew Hills <ahills@ednos.net>
+# Contributor: Jean-Louis Fuchs <ganwell@fangorn.ch>
+# Maintainer: Jean-Louis Fuchs <ganwell@fangorn.ch>
+pkgname=girara
+pkgver=0.2.6
+pkgrel=0
+pkgdesc="girara - gtk user interface that focuses on simplicity and minimalism"
+url="https://pwmt.org/projects/girara/"
+arch="all"
+license="zlib"
+depends=""
+makedepends="gtk+3.0-dev libnotify-dev intltool doxygen check-dev"
+subpackages="$pkgname-doc $pkgname-dev $pkgname-lang"
+source="https://pwmt.org/projects/girara/download/girara-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+build() {
+    make -C "$_builddir" COLOR=0 || return 1
+    make -C "$_builddir/doc" COLOR=0 || return 1
+}
+
+package() {
+	make PREFIX=/usr DESTDIR="$pkgdir" \
+		-C "$_builddir" install || return 1
+}
+
+doc() {
+    pkgdesc="girara - gtk user interface that focuses on simplicity and minimalism (documentation)"
+    _docdir="$subpkgdir"/usr/share/doc/$pkgname/
+    mkdir -p "$_docdir"
+    cp -r "$_builddir"/doc/build/html/* "$_docdir"
+}
+
+md5sums="99900fc6bfb769a2cc76c234000a64d7  girara-0.2.6.tar.gz"
+sha256sums="eba69b3522b4d149e06d133de52877913275873c505993fad08b6d7884ec9a0f girara-0.2.6.tar.gz"
+sha512sums="a55702fc85594c6b8ee2cf3cdcde659b2b85559d1d5d2eff9ff05247b9762d0ee4ccc8e5e2fbb12ad174fb85bca7941a413c866aafa419765ed88cc1c4efa901  girara-0.2.6.tar.gz"
diff --git a/unmaintained/girara/APKBUILD b/unmaintained/girara/APKBUILD
deleted file mode 100644
index f3864477a6..0000000000
--- a/unmaintained/girara/APKBUILD
@@ -1,31 +0,0 @@
-# Contributor: Sören Tempel <soeren+alpine@soeren-tempel.net>
-# Contributor: Andrew Hills <ahills@ednos.net>
-# Maintainer: Andrew Hills <ahills@ednos.net>
-pkgname=girara
-pkgver=0.2.5
-pkgrel=1
-pkgdesc="GTK+3 user interface library"
-url="https://pwmt.org/projects/girara"
-arch="all"
-license="zlib"
-depends=""
-depends_dev=""
-makedepends="gtk+3.0-dev libnotify-dev"
-install=""
-subpackages="$pkgname-dev $pkgname-lang"
-source="https://pwmt.org/projects/girara/download/girara-$pkgver.tar.gz"
-
-_builddir="$srcdir"/girara-$pkgver
-build() {
-	cd "$_builddir"
-	make COLOR=0 || return 1
-}
-
-package() {
-	cd "$_builddir"
-	make COLOR=0 DESTDIR="$pkgdir" install || return 1
-}
-
-md5sums="4c4d86cf1372e6e1947cbc438e452c08  girara-0.2.5.tar.gz"
-sha256sums="5cf4f2d044385b189ed8e9efcae8532db1f2d63a240a1e226f3491c996aba892  girara-0.2.5.tar.gz"
-sha512sums="62f497d0bcab0765946d141b5c9bd79459e526e385da32f69311e810c9142e570de41521b98df8e08b44e0e34326db370f5b5ed4cb02bbdc2124febe6c2cce45  girara-0.2.5.tar.gz"
-- 
2.11.0



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

[alpine-aports] [PATCH 2/5] testing/zathura: move from unmaintained, update

Jean-Louis Fuchs
Details
Message ID
<20170129155731.13183-3-ganwell@fangorn.ch>
In-Reply-To
<20170129155731.13183-1-ganwell@fangorn.ch> (view parent)
Sender timestamp
1485705448
DKIM signature
missing
Download raw message
Patch: +32 -98
---
 testing/zathura/APKBUILD                   | 32 ++++++++++++++++++
 unmaintained/zathura/APKBUILD              | 45 -------------------------
 unmaintained/zathura/without-synctex.patch | 53 ------------------------------
 3 files changed, 32 insertions(+), 98 deletions(-)
 create mode 100644 testing/zathura/APKBUILD
 delete mode 100644 unmaintained/zathura/APKBUILD
 delete mode 100644 unmaintained/zathura/without-synctex.patch

diff --git a/testing/zathura/APKBUILD b/testing/zathura/APKBUILD
new file mode 100644
index 0000000000..df7d3067c0
--- /dev/null
+++ b/testing/zathura/APKBUILD
@@ -0,0 +1,32 @@
+# Contributor: Sören Tempel <soeren+alpine@soeren-tempel.net>
+# Contributor: Andrew Hills <ahills@ednos.net>
+# Contributor: Jean-Louis Fuchs <ganwell@fangorn.ch>
+# Maintainer: Jean-Louis Fuchs <ganwell@fangorn.ch>
+pkgname=zathura
+pkgver=0.3.6
+pkgrel=0
+pkgdesc="zathura - highly customizable and functional document viewer"
+url="https://pwmt.org/projects/zathura/"
+arch="all"
+license="zlib"
+depends="libmagic"
+makedepends="girara-dev file-dev sqlite-dev intltool check-dev py-docutils"
+subpackages="$pkgname-doc $pkgname-dev $pkgname-lang"
+source="https://pwmt.org/projects/zathura/download/zathura-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+build() {
+    make -C "$_builddir" || return 1
+    make -C "$_builddir" test || return 1
+    make -C "$_builddir/doc" || return 1
+}
+
+package() {
+	make PREFIX=/usr DESTDIR="$pkgdir" \
+		-C "$_builddir" install || return 1
+}
+
+md5sums="b92bc15f684cdf5a82b6fdddd1275ea5  zathura-0.3.6.tar.gz"
+sha256sums="086a8be25d538fc6539fbee8f01ecf16d25819dfaad50cd2dbd84e30152ccb3b  zathura-0.3.6.tar.gz"
+sha512sums="6eb8a8ac4589aa03ddfbe652c7700b354c0156a615493c3efdd730c4c5d72e295ad666f406541b664c17eae65c4079697fd4c4d0b9b1f04b8743a7518b123723  zathura-0.3.6.tar.gz"
diff --git a/unmaintained/zathura/APKBUILD b/unmaintained/zathura/APKBUILD
deleted file mode 100644
index 33733e72d2..0000000000
--- a/unmaintained/zathura/APKBUILD
@@ -1,45 +0,0 @@
-# Contributor: Sören Tempel <soeren+alpine@soeren-tempel.net>
-# Contributor: Andrew Hills <ahills@ednos.net>
-# Maintainer: Andrew Hills <ahills@ednos.net>
-pkgname=zathura
-pkgver=0.3.4
-pkgrel=0
-pkgdesc="Document viewer with Vim-like controls"
-url="https://pwmt.org/projects/$pkgname"
-arch="all"
-license="zlib"
-depends=""
-depends_dev=""
-makedepends="girara-dev gtk+3.0-dev glib-dev file-dev"
-install=""
-subpackages="$pkgname-dev $pkgname-doc $pkgname-lang"
-source="https://pwmt.org/projects/$pkgname/download/$pkgname-$pkgver.tar.gz
-	without-synctex.patch"
-
-_builddir="$srcdir"/zathura-$pkgver
-prepare() {
-	local i
-	cd "$_builddir"
-	for i in $source; do
-		case $i in
-		*.patch) msg $i; patch -p0 -i "$srcdir"/$i || return 1;;
-		esac
-	done
-}
-
-build() {
-	cd "$_builddir"
-	make || return 1
-}
-
-package() {
-	cd "$_builddir"
-	make DESTDIR="$pkgdir" install || return 1
-}
-
-md5sums="64a19c0a78d06e3a8c2098911d59b072  zathura-0.3.4.tar.gz
-cf64a40358d705cee2d8174498d56e9f  without-synctex.patch"
-sha256sums="52c4a3efc5843ce7c720ea7357667699363c809fd34ada4cb350d0e1031d0234  zathura-0.3.4.tar.gz
-e6cb2e825c584a82283a580fdd77428e91321f46d929eff42979e858eb9eac81  without-synctex.patch"
-sha512sums="663a24574838fe6531bf588ec97ed54f3bf3601c6ed11bbcd38347e8fa1876c4cfa964ab7bba70f8afd40dd9d984315b0966546394c0efac00c6fbd9967b77a2  zathura-0.3.4.tar.gz
-e750c8b2d7de3fdfe8275fe3c625bce6d3d9c12a956d0ea56a0af6848ecdd8cd903ba363fcff829024adc493b8c4f4b271f9f1d6dee52a3b14405df9b42b0ee0  without-synctex.patch"
diff --git a/unmaintained/zathura/without-synctex.patch b/unmaintained/zathura/without-synctex.patch
deleted file mode 100644
index b12ca3117e..0000000000
--- a/unmaintained/zathura/without-synctex.patch
@@ -1,53 +0,0 @@
-From 5b3c183a9f8edf778f405f5da9b1ef8384775852 Mon Sep 17 00:00:00 2001
-From: Jan Palus <jan.palus@gmail.com>
-Date: Mon, 28 Dec 2015 22:19:07 +0100
-Subject: [PATCH] fix build without synctex
-
----
- zathura/main.c | 19 ++++++++++++-------
- 1 file changed, 12 insertions(+), 7 deletions(-)
-
-diff --git a/zathura/main.c b/zathura/main.c
-index 060382a..3278dbe 100644
---- zathura/main.c
-+++ zathura/main.c
-@@ -84,12 +84,14 @@ run_synctex_forward(const char* synctex_fwd, const char* filename,
- 
- static zathura_t*
- init_zathura(const char* config_dir, const char* data_dir,
--    const char* cache_dir, const char* plugin_path, char** argv,
-+    const char* cache_dir, const char* plugin_path, char** argv
-+#ifdef WITH_SYNCTEX
-+    , char* synctex_editor
-+#endif
- #ifdef GDK_WINDOWING_X11
--    char* synctex_editor, Window embed)
--#else
--    char* synctex_editor)
-+    , Window embed
- #endif
-+    )
- {
-   /* create zathura session */
-   zathura_t* zathura = zathura_create();
-@@ -250,11 +252,14 @@ main(int argc, char* argv[])
- 
-   /* Create zathura session */
-   zathura_t* zathura = init_zathura(config_dir, data_dir, cache_dir,
-+      plugin_path, argv
-+#ifdef WITH_SYNCTEX
-+      , synctex_editor
-+#endif
- #ifdef GDK_WINDOWING_X11
--      plugin_path, argv, synctex_editor, embed);
--#else
--      plugin_path, argv, synctex_editor);
-+      , embed
- #endif
-+      );
-   if (zathura == NULL) {
-     girara_error("Could not initialize zathura.");
-     return -1;
---
-libgit2 0.23.3
-
-- 
2.11.0



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

[alpine-aports] [PATCH 3/5] testing/zathura-pdf-poppler: move from unmaintained, update

Jean-Louis Fuchs
Details
Message ID
<20170129155731.13183-4-ganwell@fangorn.ch>
In-Reply-To
<20170129155731.13183-1-ganwell@fangorn.ch> (view parent)
Sender timestamp
1485705449
DKIM signature
missing
Download raw message
Patch: +28 -40
---
 testing/zathura-pdf-poppler/APKBUILD      | 28 ++++++++++++++++++++++
 unmaintained/zathura-pdf-poppler/APKBUILD | 40 -------------------------------
 2 files changed, 28 insertions(+), 40 deletions(-)
 create mode 100644 testing/zathura-pdf-poppler/APKBUILD
 delete mode 100644 unmaintained/zathura-pdf-poppler/APKBUILD

diff --git a/testing/zathura-pdf-poppler/APKBUILD b/testing/zathura-pdf-poppler/APKBUILD
new file mode 100644
index 0000000000..7012d59f3f
--- /dev/null
+++ b/testing/zathura-pdf-poppler/APKBUILD
@@ -0,0 +1,28 @@
+# Contributor: Andrew Hills <ahills@ednos.net>
+# Contributor: Jean-Louis Fuchs <ganwell@fangorn.ch>
+# Maintainer: Jean-Louis Fuchs <ganwell@fangorn.ch>
+pkgname=zathura-pdf-poppler
+pkgver=0.2.6
+pkgrel=0
+pkgdesc="zathura-pdf-poppler - poppler plugin adds PDF support to zathura"
+url="https://pwmt.org/projects/zathura/"
+arch="all"
+license="zlib"
+depends="zathura"
+makedepends="zathura-dev poppler-dev"
+source="https://pwmt.org/projects/zathura-pdf-poppler/download/zathura-pdf-poppler-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+build() {
+	make -C "$_builddir" || return 1
+}
+
+package() {
+	make PREFIX=/usr DESTDIR="$pkgdir" \
+		-C "$_builddir" install || return 1
+}
+
+md5sums="fc242236dda05f4a75cb41b52356ccae  zathura-pdf-poppler-0.2.6.tar.gz"
+sha256sums="d1eb0c7a4f647c141192a2d7bf66413b9c5f1842463947ab87a8a1edcf8e58d5  zathura-pdf-poppler-0.2.6.tar.gz"
+sha512sums="3675d73da173cdfebee5ec83fa36d1861d6143b55931a2be16b24be1dbc70ce98dbc559f92e93e0d7f4d9073095d276754f64e41714810a6610abb09ab447aea  zathura-pdf-poppler-0.2.6.tar.gz"
diff --git a/unmaintained/zathura-pdf-poppler/APKBUILD b/unmaintained/zathura-pdf-poppler/APKBUILD
deleted file mode 100644
index 44741ec2bc..0000000000
--- a/unmaintained/zathura-pdf-poppler/APKBUILD
@@ -1,40 +0,0 @@
-# Contributor: Andrew Hills <ahills@ednos.net>
-# Maintainer: Andrew Hills <ahills@ednos.net>
-pkgname=zathura-pdf-poppler
-pkgver=0.2.6
-pkgrel=0
-pkgdesc="PDF support for zathura via poppler"
-url="https://pwmt.org/projects/$pkgname"
-arch="all"
-license="zlib"
-depends=""
-depends_dev=""
-makedepends="poppler-dev girara-dev zathura-dev gtk+3.0-dev"
-install=""
-subpackages=""
-source="https://pwmt.org/projects/$pkgname/download/$pkgname-$pkgver.tar.gz"
-
-_builddir="$srcdir"/$pkgname-$pkgver
-prepare() {
-	local i
-	cd "$_builddir"
-	for i in $source; do
-		case $i in
-		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
-		esac
-	done
-}
-
-build() {
-	cd "$_builddir"
-	make || return 1
-}
-
-package() {
-	cd "$_builddir"
-	make DESTDIR="$pkgdir" install || return 1
-}
-
-md5sums="fc242236dda05f4a75cb41b52356ccae  zathura-pdf-poppler-0.2.6.tar.gz"
-sha256sums="d1eb0c7a4f647c141192a2d7bf66413b9c5f1842463947ab87a8a1edcf8e58d5  zathura-pdf-poppler-0.2.6.tar.gz"
-sha512sums="3675d73da173cdfebee5ec83fa36d1861d6143b55931a2be16b24be1dbc70ce98dbc559f92e93e0d7f4d9073095d276754f64e41714810a6610abb09ab447aea  zathura-pdf-poppler-0.2.6.tar.gz"
-- 
2.11.0



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

[alpine-aports] [PATCH 4/5] testing/libspectre: move from unmaintained, update

Jean-Louis Fuchs
Details
Message ID
<20170129155731.13183-5-ganwell@fangorn.ch>
In-Reply-To
<20170129155731.13183-1-ganwell@fangorn.ch> (view parent)
Sender timestamp
1485705450
DKIM signature
missing
Download raw message
Patch: +65 -7
---
 {unmaintained => testing}/libspectre/APKBUILD | 20 +++++++----
 testing/libspectre/ghostscript-api.patch      | 52 +++++++++++++++++++++++++++
 2 files changed, 65 insertions(+), 7 deletions(-)
 rename {unmaintained => testing}/libspectre/APKBUILD (67%)
 create mode 100644 testing/libspectre/ghostscript-api.patch

diff --git a/unmaintained/libspectre/APKBUILD b/testing/libspectre/APKBUILD
similarity index 67%
rename from unmaintained/libspectre/APKBUILD
rename to testing/libspectre/APKBUILD
index 715062c817..c00d08d50b 100644
--- a/unmaintained/libspectre/APKBUILD
+++ b/testing/libspectre/APKBUILD
@@ -1,5 +1,6 @@
 # Contributor: Andrew Hills <ahills@ednos.net>
-# Maintainer: Andrew Hills <ahills@ednos.net>
+# Contributor: Jean-Louis Fuchs <ganwell@fangorn.ch>
+# Maintainer: Jean-Louis Fuchs <ganwell@fangorn.ch>
 pkgname=libspectre
 pkgver=0.2.7
 pkgrel=0
@@ -12,11 +13,14 @@ depends_dev=""
 makedepends="$depends_dev ghostscript-dev doxygen"
 install=""
 subpackages="$pkgname-dev $pkgname-doc"
-source="http://libspectre.freedesktop.org/releases/libspectre-$pkgver.tar.gz"
+source="http://libspectre.freedesktop.org/releases/libspectre-$pkgver.tar.gz
+	ghostscript-api.patch"
 
 _builddir="$srcdir"/libspectre-$pkgver
+
 prepare() {
-	update_config_sub
+	update_config_sub || return 1
+	default_prepare || return 1
 }
 
 build() {
@@ -40,11 +44,13 @@ package() {
 }
 
 doc() {
-	arch="noarch"
 	mkdir -m 0755 -p "$subpkgdir"/usr/share/doc/libspectre || return 1
 	install -m 0644 "$_builddir"/doc/html/* "$subpkgdir"/usr/share/doc/libspectre/
 }
 
-md5sums="8f759c0e6cd88d68fc8149130fcbc3d3  libspectre-0.2.7.tar.gz"
-sha256sums="e81b822a106beed14cf0fec70f1b890c690c2ffa150fa2eee41dc26518a6c3ec  libspectre-0.2.7.tar.gz"
-sha512sums="2e60905f7eeed9ac6ec3b5f8b47a7dad85178c8c35a63ba097ef6088dd334f7fde5797ecb05cf67532b759d07a65006427914d2cd6b09107ecc90620c9541794  libspectre-0.2.7.tar.gz"
+md5sums="8f759c0e6cd88d68fc8149130fcbc3d3  libspectre-0.2.7.tar.gz
+43c860e4f8ca8690759440115570b738  ghostscript-api.patch"
+sha256sums="e81b822a106beed14cf0fec70f1b890c690c2ffa150fa2eee41dc26518a6c3ec  libspectre-0.2.7.tar.gz
+1b5ad9d94ddd6cd3febfc6d559cbf329b4c57a841821df024cccf93ae3cb8159  ghostscript-api.patch"
+sha512sums="2e60905f7eeed9ac6ec3b5f8b47a7dad85178c8c35a63ba097ef6088dd334f7fde5797ecb05cf67532b759d07a65006427914d2cd6b09107ecc90620c9541794  libspectre-0.2.7.tar.gz
+d54a2dd2b03de9bcdf012e3cb429d7f882f38dc0c66c5253271fbec0e0917f41fce06e33a383fdd6989ad8e83d6ff2d85cce194b7aa97212564ae56ebbda7c4c  ghostscript-api.patch"
diff --git a/testing/libspectre/ghostscript-api.patch b/testing/libspectre/ghostscript-api.patch
new file mode 100644
index 0000000000..d7f907828e
--- /dev/null
+++ b/testing/libspectre/ghostscript-api.patch
@@ -0,0 +1,52 @@
+diff -ru a/libspectre/spectre-gs.c b/libspectre/spectre-gs.c
+--- a/libspectre/spectre-gs.c	2010-04-18 18:01:05.000000000 +0200
+@@ -29,6 +29,12 @@
+ #include <ghostscript/iapi.h>
+ #include <ghostscript/ierrors.h>
+ 
++/* Fix ghostscript API till a new release of libspectre
++ * e_ExecStackUnderflow -> gs_error_ExecStackUnderflow
++ * e_Fatal -> gs_error_Fatal
++ * e_NeedInput -> gs_error_NeedInput
++ */
++
+ #define BUFFER_SIZE 32768
+ 
+ struct SpectreGS {
+@@ -43,12 +49,12 @@
+ 	
+ 	if (code <= -100) {
+ 		switch (code) {
+-			case e_Fatal:
++			case gs_error_Fatal:
+ 				fprintf (stderr, "fatal internal error %d", code);
+ 				return TRUE;
+ 				break;
+ 
+-			case e_ExecStackUnderflow:
++			case gs_error_ExecStackUnderflow:
+ 				fprintf (stderr, "stack overflow %d", code);
+ 				return TRUE;
+ 				break;
+@@ -109,9 +115,9 @@
+ 		set = _spectre_strdup_printf ("%d %d translate\n", -x, -y);
+ 		error = gsapi_run_string_continue (ghostscript_instance, set, strlen (set),
+ 						   0, &exit_code);
+-		error = error == e_NeedInput ? 0 : error;
++		error = error == gs_error_NeedInput ? 0 : error;
+ 		free (set);
+-		if (error != e_NeedInput && critic_error_code (error)) {
++		if (error != gs_error_NeedInput && critic_error_code (error)) {
+ 			fclose (fd);
+ 			return FALSE;
+ 		}
+@@ -126,7 +132,7 @@
+ 		read = fread (buf, sizeof (char), to_read, fd);
+ 		error = gsapi_run_string_continue (ghostscript_instance,
+ 						   buf, read, 0, &exit_code);
+-		error = error == e_NeedInput ? 0 : error;
++		error = error == gs_error_NeedInput ? 0 : error;
+ 		left -= read;
+ 	}
+ 	
-- 
2.11.0



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

[alpine-aports] [PATCH 5/5] testing/zathura-ps: move from unmaintained, update

Jean-Louis Fuchs
Details
Message ID
<20170129155731.13183-6-ganwell@fangorn.ch>
In-Reply-To
<20170129155731.13183-1-ganwell@fangorn.ch> (view parent)
Sender timestamp
1485705451
DKIM signature
missing
Download raw message
Patch: +28 -40
---
 testing/zathura-ps/APKBUILD      | 28 ++++++++++++++++++++++++++++
 unmaintained/zathura-ps/APKBUILD | 40 ----------------------------------------
 2 files changed, 28 insertions(+), 40 deletions(-)
 create mode 100644 testing/zathura-ps/APKBUILD
 delete mode 100644 unmaintained/zathura-ps/APKBUILD

diff --git a/testing/zathura-ps/APKBUILD b/testing/zathura-ps/APKBUILD
new file mode 100644
index 0000000000..67e156e9af
--- /dev/null
+++ b/testing/zathura-ps/APKBUILD
@@ -0,0 +1,28 @@
+# Contributor: Andrew Hills <ahills@ednos.net>
+# Contributor: Jean-Louis Fuchs <ganwell@fangorn.ch>
+# Maintainer: Jean-Louis Fuchs <ganwell@fangorn.ch>
+pkgname=zathura-ps
+pkgver=0.2.4
+pkgrel=0
+pkgdesc="zathura-ps - plugin adds PostScript support to zathura"
+url="https://pwmt.org/projects/$pkgname"
+arch="all"
+license="zlib"
+depends="zathura"
+makedepends="zathura-dev poppler-dev libspectre-dev"
+source="https://pwmt.org/projects/zathura-ps/download/zathura-ps-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+build() {
+	make -C "$_builddir" || return 1
+}
+
+package() {
+	make PREFIX=/usr DESTDIR="$pkgdir" \
+		-C "$_builddir" install || return 1
+}
+
+md5sums="553330eae86da48c0231f348181b9a82  zathura-ps-0.2.4.tar.gz"
+sha256sums="fb9fc7e9e7765fb0aa2935b93ff3663332d0d884df35e8d0b1ea7e4b1fa0abdb  zathura-ps-0.2.4.tar.gz"
+sha512sums="c63cbd4ff032cffa85305393a8e7f2864986e3a8204832cd7f9f12878e2c69fd0393ace91dd7b0fa8829f3a785abc2675d2ecb99dfa71794d699b567be954922  zathura-ps-0.2.4.tar.gz"
diff --git a/unmaintained/zathura-ps/APKBUILD b/unmaintained/zathura-ps/APKBUILD
deleted file mode 100644
index e1e9160779..0000000000
--- a/unmaintained/zathura-ps/APKBUILD
@@ -1,40 +0,0 @@
-# Contributor: Andrew Hills <ahills@ednos.net>
-# Maintainer: Andrew Hills <ahills@ednos.net>
-pkgname=zathura-ps
-pkgver=0.2.3
-pkgrel=0
-pkgdesc="Postscript support for zathura"
-url="https://pwmt.org/projects/$pkgname"
-arch="all"
-license="zlib"
-depends=""
-depends_dev=""
-makedepends="zathura-dev girara-dev libspectre-dev gtk+3.0-dev glib-dev"
-install=""
-subpackages=""
-source="https://pwmt.org/projects/$pkgname/download/$pkgname-$pkgver.tar.gz"
-
-_builddir="$srcdir"/$pkgname-$pkgver
-prepare() {
-	local i
-	cd "$_builddir"
-	for i in $source; do
-		case $i in
-		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
-		esac
-	done
-}
-
-build() {
-	cd "$_builddir"
-	make || return 1
-}
-
-package() {
-	cd "$_builddir"
-	make DESTDIR="$pkgdir" install || return 1
-}
-
-md5sums="7b9c7d25f015c4c4399d57b30a775c02  zathura-ps-0.2.3.tar.gz"
-sha256sums="a9eef74b12aec87ac2c4309f12d0f9c83b228fe64a788ee46b2c3a7c91779aa3  zathura-ps-0.2.3.tar.gz"
-sha512sums="e5ce62f494f45eeb41a3cf5c91633953fd730b4dd448723afb39fa30cb58f887ef71e5ac462503791905c8de758ca0157805b5e672c6e0807d159294e2b29c7a  zathura-ps-0.2.3.tar.gz"
-- 
2.11.0



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

Re: [alpine-aports] [PATCH 1/5] testing/girara: move from unmaintained, update

Timo Teras
Details
Message ID
<20170130082821.14443c2c@vostro.util.wtbts.net>
In-Reply-To
<20170129155731.13183-2-ganwell@fangorn.ch> (view parent)
Sender timestamp
1485757700
DKIM signature
missing
Download raw message
On Sun, 29 Jan 2017 16:57:27 +0100
Jean-Louis Fuchs <ganwell@fangorn.ch> wrote:

> +build() {
> +    make -C "$_builddir" COLOR=0 || return 1
> +    make -C "$_builddir/doc" COLOR=0 || return 1
> +}

We generally want tabs, not spaces.

Also I'm getting lot of errors like:
/bin/sh: /usr/bin/tput: not found

Is this missing some makedepends, or is this safe to ignore?

Thanks.


---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

[alpine-aports] [PATCH 1/5 v2] testing/girara: move from unmaintained, update

Jean-Louis Fuchs
Details
Message ID
<20170130141233.6267-1-ganwell@fangorn.ch>
In-Reply-To
<20170130082821.14443c2c@vostro.util.wtbts.net> (view parent)
Sender timestamp
1485785553
DKIM signature
missing
Download raw message
Patch: +37 -31
---
* Replaced spaces with tabs
* Added ncurses to makedepends
* Started testing aports in docker-container with only alpine-sdk installed

Note: I will resubmit PATCH 2/5 for the same reasons, the rest is imo ok.

 testing/girara/APKBUILD      | 37 +++++++++++++++++++++++++++++++++++++
 unmaintained/girara/APKBUILD | 31 -------------------------------
 2 files changed, 37 insertions(+), 31 deletions(-)
 create mode 100644 testing/girara/APKBUILD
 delete mode 100644 unmaintained/girara/APKBUILD

diff --git a/testing/girara/APKBUILD b/testing/girara/APKBUILD
new file mode 100644
index 0000000000..f66ae8552d
--- /dev/null
+++ b/testing/girara/APKBUILD
@@ -0,0 +1,37 @@
+# Contributor: Sören Tempel <soeren+alpine@soeren-tempel.net>
+# Contributor: Andrew Hills <ahills@ednos.net>
+# Contributor: Jean-Louis Fuchs <ganwell@fangorn.ch>
+# Maintainer: Jean-Louis Fuchs <ganwell@fangorn.ch>
+pkgname=girara
+pkgver=0.2.6
+pkgrel=0
+pkgdesc="girara - gtk user interface that focuses on simplicity and minimalism"
+url="https://pwmt.org/projects/girara/"
+arch="all"
+license="zlib"
+makedepends="gtk+3.0-dev libnotify-dev intltool doxygen check-dev ncurses"
+subpackages="$pkgname-doc $pkgname-dev $pkgname-lang"
+source="https://pwmt.org/projects/girara/download/girara-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+build() {
+	make -C "$_builddir" COLOR=0 || return 1
+	make -C "$_builddir/doc" COLOR=0 || return 1
+}
+
+package() {
+	make PREFIX=/usr DESTDIR="$pkgdir" \
+		-C "$_builddir" install || return 1
+}
+
+doc() {
+	pkgdesc="girara - gtk user interface that focuses on simplicity and minimalism (documentation)"
+	_docdir="$subpkgdir"/usr/share/doc/$pkgname/
+	mkdir -p "$_docdir"
+	cp -r "$_builddir"/doc/build/html/* "$_docdir"
+}
+
+md5sums="99900fc6bfb769a2cc76c234000a64d7  girara-0.2.6.tar.gz"
+sha256sums="eba69b3522b4d149e06d133de52877913275873c505993fad08b6d7884ec9a0f girara-0.2.6.tar.gz"
+sha512sums="a55702fc85594c6b8ee2cf3cdcde659b2b85559d1d5d2eff9ff05247b9762d0ee4ccc8e5e2fbb12ad174fb85bca7941a413c866aafa419765ed88cc1c4efa901  girara-0.2.6.tar.gz"
diff --git a/unmaintained/girara/APKBUILD b/unmaintained/girara/APKBUILD
deleted file mode 100644
index f3864477a6..0000000000
--- a/unmaintained/girara/APKBUILD
@@ -1,31 +0,0 @@
-# Contributor: Sören Tempel <soeren+alpine@soeren-tempel.net>
-# Contributor: Andrew Hills <ahills@ednos.net>
-# Maintainer: Andrew Hills <ahills@ednos.net>
-pkgname=girara
-pkgver=0.2.5
-pkgrel=1
-pkgdesc="GTK+3 user interface library"
-url="https://pwmt.org/projects/girara"
-arch="all"
-license="zlib"
-depends=""
-depends_dev=""
-makedepends="gtk+3.0-dev libnotify-dev"
-install=""
-subpackages="$pkgname-dev $pkgname-lang"
-source="https://pwmt.org/projects/girara/download/girara-$pkgver.tar.gz"
-
-_builddir="$srcdir"/girara-$pkgver
-build() {
-	cd "$_builddir"
-	make COLOR=0 || return 1
-}
-
-package() {
-	cd "$_builddir"
-	make COLOR=0 DESTDIR="$pkgdir" install || return 1
-}
-
-md5sums="4c4d86cf1372e6e1947cbc438e452c08  girara-0.2.5.tar.gz"
-sha256sums="5cf4f2d044385b189ed8e9efcae8532db1f2d63a240a1e226f3491c996aba892  girara-0.2.5.tar.gz"
-sha512sums="62f497d0bcab0765946d141b5c9bd79459e526e385da32f69311e810c9142e570de41521b98df8e08b44e0e34326db370f5b5ed4cb02bbdc2124febe6c2cce45  girara-0.2.5.tar.gz"
-- 
2.11.0



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

[alpine-aports] [PATCH 2/5 v2] testing/zathura: move from unmaintained, update

Jean-Louis Fuchs
Details
Message ID
<20170130141702.6452-1-ganwell@fangorn.ch>
In-Reply-To
<20170130082821.14443c2c@vostro.util.wtbts.net> (view parent)
Sender timestamp
1485785822
DKIM signature
missing
Download raw message
Patch: +32 -98
---
* Replaced spaces with tabs
* Added ncurses to makedepends
* Started testing aports in docker-container with only alpine-sdk installed

Note: PATCH 3-5/5 seem ok, at least they don't have above problems.

 testing/zathura/APKBUILD                   | 32 ++++++++++++++++++
 unmaintained/zathura/APKBUILD              | 45 -------------------------
 unmaintained/zathura/without-synctex.patch | 53 ------------------------------
 3 files changed, 32 insertions(+), 98 deletions(-)
 create mode 100644 testing/zathura/APKBUILD
 delete mode 100644 unmaintained/zathura/APKBUILD
 delete mode 100644 unmaintained/zathura/without-synctex.patch

diff --git a/testing/zathura/APKBUILD b/testing/zathura/APKBUILD
new file mode 100644
index 0000000000..24008744f9
--- /dev/null
+++ b/testing/zathura/APKBUILD
@@ -0,0 +1,32 @@
+# Contributor: Sören Tempel <soeren+alpine@soeren-tempel.net>
+# Contributor: Andrew Hills <ahills@ednos.net>
+# Contributor: Jean-Louis Fuchs <ganwell@fangorn.ch>
+# Maintainer: Jean-Louis Fuchs <ganwell@fangorn.ch>
+pkgname=zathura
+pkgver=0.3.6
+pkgrel=0
+pkgdesc="zathura - highly customizable and functional document viewer"
+url="https://pwmt.org/projects/zathura/"
+arch="all"
+license="zlib"
+depends="libmagic"
+makedepends="girara-dev file-dev sqlite-dev intltool check-dev py-docutils
+	ncurses"
+subpackages="$pkgname-doc $pkgname-dev $pkgname-lang"
+source="https://pwmt.org/projects/zathura/download/zathura-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+build() {
+	make -C "$_builddir" || return 1
+	make -C "$_builddir/doc" || return 1
+}
+
+package() {
+	make PREFIX=/usr DESTDIR="$pkgdir" \
+		-C "$_builddir" install || return 1
+}
+
+md5sums="b92bc15f684cdf5a82b6fdddd1275ea5  zathura-0.3.6.tar.gz"
+sha256sums="086a8be25d538fc6539fbee8f01ecf16d25819dfaad50cd2dbd84e30152ccb3b  zathura-0.3.6.tar.gz"
+sha512sums="6eb8a8ac4589aa03ddfbe652c7700b354c0156a615493c3efdd730c4c5d72e295ad666f406541b664c17eae65c4079697fd4c4d0b9b1f04b8743a7518b123723  zathura-0.3.6.tar.gz"
diff --git a/unmaintained/zathura/APKBUILD b/unmaintained/zathura/APKBUILD
deleted file mode 100644
index 33733e72d2..0000000000
--- a/unmaintained/zathura/APKBUILD
@@ -1,45 +0,0 @@
-# Contributor: Sören Tempel <soeren+alpine@soeren-tempel.net>
-# Contributor: Andrew Hills <ahills@ednos.net>
-# Maintainer: Andrew Hills <ahills@ednos.net>
-pkgname=zathura
-pkgver=0.3.4
-pkgrel=0
-pkgdesc="Document viewer with Vim-like controls"
-url="https://pwmt.org/projects/$pkgname"
-arch="all"
-license="zlib"
-depends=""
-depends_dev=""
-makedepends="girara-dev gtk+3.0-dev glib-dev file-dev"
-install=""
-subpackages="$pkgname-dev $pkgname-doc $pkgname-lang"
-source="https://pwmt.org/projects/$pkgname/download/$pkgname-$pkgver.tar.gz
-	without-synctex.patch"
-
-_builddir="$srcdir"/zathura-$pkgver
-prepare() {
-	local i
-	cd "$_builddir"
-	for i in $source; do
-		case $i in
-		*.patch) msg $i; patch -p0 -i "$srcdir"/$i || return 1;;
-		esac
-	done
-}
-
-build() {
-	cd "$_builddir"
-	make || return 1
-}
-
-package() {
-	cd "$_builddir"
-	make DESTDIR="$pkgdir" install || return 1
-}
-
-md5sums="64a19c0a78d06e3a8c2098911d59b072  zathura-0.3.4.tar.gz
-cf64a40358d705cee2d8174498d56e9f  without-synctex.patch"
-sha256sums="52c4a3efc5843ce7c720ea7357667699363c809fd34ada4cb350d0e1031d0234  zathura-0.3.4.tar.gz
-e6cb2e825c584a82283a580fdd77428e91321f46d929eff42979e858eb9eac81  without-synctex.patch"
-sha512sums="663a24574838fe6531bf588ec97ed54f3bf3601c6ed11bbcd38347e8fa1876c4cfa964ab7bba70f8afd40dd9d984315b0966546394c0efac00c6fbd9967b77a2  zathura-0.3.4.tar.gz
-e750c8b2d7de3fdfe8275fe3c625bce6d3d9c12a956d0ea56a0af6848ecdd8cd903ba363fcff829024adc493b8c4f4b271f9f1d6dee52a3b14405df9b42b0ee0  without-synctex.patch"
diff --git a/unmaintained/zathura/without-synctex.patch b/unmaintained/zathura/without-synctex.patch
deleted file mode 100644
index b12ca3117e..0000000000
--- a/unmaintained/zathura/without-synctex.patch
@@ -1,53 +0,0 @@
-From 5b3c183a9f8edf778f405f5da9b1ef8384775852 Mon Sep 17 00:00:00 2001
-From: Jan Palus <jan.palus@gmail.com>
-Date: Mon, 28 Dec 2015 22:19:07 +0100
-Subject: [PATCH] fix build without synctex
-
----
- zathura/main.c | 19 ++++++++++++-------
- 1 file changed, 12 insertions(+), 7 deletions(-)
-
-diff --git a/zathura/main.c b/zathura/main.c
-index 060382a..3278dbe 100644
---- zathura/main.c
-+++ zathura/main.c
-@@ -84,12 +84,14 @@ run_synctex_forward(const char* synctex_fwd, const char* filename,
- 
- static zathura_t*
- init_zathura(const char* config_dir, const char* data_dir,
--    const char* cache_dir, const char* plugin_path, char** argv,
-+    const char* cache_dir, const char* plugin_path, char** argv
-+#ifdef WITH_SYNCTEX
-+    , char* synctex_editor
-+#endif
- #ifdef GDK_WINDOWING_X11
--    char* synctex_editor, Window embed)
--#else
--    char* synctex_editor)
-+    , Window embed
- #endif
-+    )
- {
-   /* create zathura session */
-   zathura_t* zathura = zathura_create();
-@@ -250,11 +252,14 @@ main(int argc, char* argv[])
- 
-   /* Create zathura session */
-   zathura_t* zathura = init_zathura(config_dir, data_dir, cache_dir,
-+      plugin_path, argv
-+#ifdef WITH_SYNCTEX
-+      , synctex_editor
-+#endif
- #ifdef GDK_WINDOWING_X11
--      plugin_path, argv, synctex_editor, embed);
--#else
--      plugin_path, argv, synctex_editor);
-+      , embed
- #endif
-+      );
-   if (zathura == NULL) {
-     girara_error("Could not initialize zathura.");
-     return -1;
---
-libgit2 0.23.3
-
-- 
2.11.0



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---